classification
Title: Unable to install Python 3.5 on Windows 10
Type: resource usage Stage: resolved
Components: Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ArranM, Gowtham N.M, Gowtham NM, eryksun, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2015-10-08 17:41 by Gowtham NM, last changed 2018-07-03 02:55 by inada.naoki. This issue is now closed.

Files
File name Uploaded Description Edit
Python 3.5.0 (32-bit)_20151008230628.log Gowtham NM, 2015-10-08 17:41 Error in seting up Python
Python 3.5.0 (32-bit)_20151107214149_000_core_JustForMe.log Gowtham N.M, 2015-11-07 16:17 JustForMe log
Python 3.6.4 (64-bit)_20180313115253.log ArranM, 2018-03-13 12:01 Download Error 0x80070652 Log File
Python 3.6.4 (64-bit)_20180319182314.log ArranM, 2018-03-19 18:38 Download Error 0x80070652 Log File 1.2
Messages (11)
msg252563 - (view) Author: Gowtham NM (Gowtham NM) Date: 2015-10-08 17:41
I downloaded Python 3.5 version to install on Windows 10. But apparently, the installation does not succeed.
I have tried with lower version of Python also, the installation does not succeed on Windows 10.

Have attached the logs of the error. I have checked for the particular error code (seen in the screenshot attached) in various forums but none worked.

Looking forward to hear from your team.
msg252565 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2015-10-08 19:03
Please attach "Python 3.5.0 (32-bit)_*_core_JustForMe.log", if it exists.

According to the log, initially the installer can't create a restore point because, I assume, you have the volume shadow copy (VSS) service disabled, i.e. the error code is ERROR_SERVICE_DISABLED (0x80070422). That shouldn't derail the installation, but it's unusual to disable this service since restore points are critically important in case something goes wrong while modifying the system.

Next, installing core.msi fails with the error code ERROR_INSTALL_ALREADY_RUNNING (0x80070652). This means you had an existing installation in progress. Check for running instances of msiexec.exe. If the existing installation process is hung, try installing Python 3.5 again after rebooting.
msg254286 - (view) Author: Gowtham N.M (Gowtham N.M) Date: 2015-11-07 16:17
Hi Eryksun,

I have attached the appropriate log as requested by you. I still get the same installation error even after following the workaround suggested by you.
msg254288 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-11-07 17:48
It sounds like something went wrong during a previous installation (probably not Python 3.5) and your system is stuck in an "installing" state (hence system restore being disabled and the install mutex being held).

Those two logs are a month apart but the error remains. I assume you've installed Windows updates and rebooted during that time? That should have cleared up the state, but maybe you haven't been getting updates either?
msg313742 - (view) Author: Arran McCutcheon (ArranM) Date: 2018-03-13 12:01
I'm also having this problem on Windows 10 with Python 3.6.4, and previous versions of Python. Every time I try to install Python, I get error 0x80070652. Rebooting doesn't help. I've attached my log file in case that helps as I don't know how to interpret it. Was a solution found?
msg313754 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-03-13 14:46
Arran - I think yours is a different issue. There should be some other log files near the one you shared that I'll need to see to find what's going wrong. Can you zip up all the Python ones and attach them here?
msg314110 - (view) Author: Arran McCutcheon (ArranM) Date: 2018-03-19 18:38
Hi Steve, thanks for the reply. I tried the download again and got the same error with a slightly different log file, hopefully that will help identify the problem. Apart from that, I don't know of any other Python log files, there's no others in the same folder and I can't find others elsewhere. The full error message reads: 'Another installation is already in progress. Complete that installation before proceeding with this install.'
msg314112 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-03-19 19:05
Arran - I think you have something else going wrong with your machine. There is nothing we do to cause multiple installs to start at the same time, and if rebooting does not help then I have to assume you have some permanently corrupt state.

Have you installed Windows Updates recently? I would expect that updates will either fail (and may be able to recover better than a 3rd-party installer) or succeed and clear the state.
msg314117 - (view) Author: Arran McCutcheon (ArranM) Date: 2018-03-19 20:37
Yes there have been various Cumulative Updates and Security Updates in the past few months, the most recent five days ago. Last features update was successfully installed in December. Update Status: Your device is up to date. Last checked today, 09:14. 
I certainly agree that it's a machine issue, although it's strange that I'm still able to install windows updates, notepads, video editors etc without problems. I just tried to install Java - and got a similar error. According to the Java error, msiexec.exe is currently processing another installation. It seems to only be a problem when attempting to install programming languages. Could a clean boot help? I saw that recommended somewhere.
msg314155 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-03-20 16:48
Yeah, very strange that only some MSIs are being affected by this error. They no doubt have something in common.

If by clean boot you mean reinstalling Windows, then yes, that fixes most issues, but it is pretty drastic :)

I don't actually have any good recommendations for fixing Windows Installer problems... there used to be a troubleshooting tool available, but I'm not sure where it's gone. All the best advice I can find online these days basically just says to reinstall, but you could try System Restore first (and it may even help to create a new restore point and then restore to it - I suspect that will reset some state without losing anything you installed recently).

Without full access to your machine and much better installer diagnostic skills than I have there's nothing else I can offer, sorry.
msg314196 - (view) Author: Arran McCutcheon (ArranM) Date: 2018-03-21 13:36
No problem Steve, I found the solution! I downloaded 'Windows Repair' from tweaking.com, and then used it to repair only the MSI installer. So I've now installed Python correctly. Thanks again for your help!
History
Date User Action Args
2018-07-03 02:55:26inada.naokisetstatus: open -> closed
resolution: out of date
stage: resolved
2018-03-21 13:36:54ArranMsetmessages: + msg314196
2018-03-20 16:48:40steve.dowersetmessages: + msg314155
2018-03-19 20:37:00ArranMsetmessages: + msg314117
2018-03-19 19:05:12steve.dowersetmessages: + msg314112
2018-03-19 18:38:50ArranMsetfiles: + Python 3.6.4 (64-bit)_20180319182314.log

messages: + msg314110
2018-03-13 14:46:17steve.dowersetmessages: + msg313754
2018-03-13 12:01:47ArranMsetfiles: + Python 3.6.4 (64-bit)_20180313115253.log
nosy: + ArranM
messages: + msg313742

2015-11-07 17:48:48steve.dowersetmessages: + msg254288
2015-11-07 16:17:22Gowtham N.Msetfiles: + Python 3.5.0 (32-bit)_20151107214149_000_core_JustForMe.log
nosy: + Gowtham N.M
messages: + msg254286

2015-10-08 19:03:40eryksunsetnosy: + eryksun
messages: + msg252565
2015-10-08 17:41:08Gowtham NMcreate